﻿import QtQuick 2.0
import "globals.js" as Globals

Rectangle
{
    id: main
    width: 420
    height: 328
    radius: 5
    smooth: true

    property double dPos1: 0
    property double dPos2: 0
    property double dAngle: 0
    property string strFileImage: ""

    gradient: Gradient {
        GradientStop {
            position: 0.99
            color: Globals.gBaseColor1
        }

        GradientStop {
            position: 0.49
            color: Globals.gBaseColor2
        }

        GradientStop {
            position: 0
            color: Globals.gBaseColor1
        }
    }

    Image {
        id: mainImage
        x: 20
        y: 20
        width: parent.width - x * 2;
        height: parent.height - y - 20;        
        source: strFileImage
        smooth: true;
    }

    states: [
        State {
            name: "state1"
            StateChangeScript {name: "myScript"; script: animation.start();}
        }
    ]

    SequentialAnimation
    {
        id: animation
        running: false

        ParallelAnimation
        {
            NumberAnimation {target: main; property: "x"; easing.type: Easing.Linear; from: dPos1; to: dPos2; duration: 1500}
            NumberAnimation {target: main; property: "dAngle"; easing.type: Easing.Linear; from: 0; to: 180; duration: 1500}
        }

        PauseAnimation { duration: 5000 }

        ParallelAnimation
        {
            NumberAnimation {target: main; property: "x"; easing.type: Easing.Linear; from: dPos2; to: dPos1; duration: 1500}
            NumberAnimation {target: main; property: "dAngle"; easing.type: Easing.Linear; from: 0; to: -180; duration: 1500}
        }

        ScriptAction { script: main.state = ""; }
    }

    transform:
        Rotation
        {
            origin.x: width / 2;
            origin.y: height / 2;
            axis {x:0; y:1; z:0}
            angle: 35 + dAngle;
        }
}
