import QtQuick 2.0
import "globals.js" as Globals

Image {
    property string taskName: ""
    property variant newsArray : []
    property int newsIndex : 0

    width: 720
    height: 576
    source: Globals.gBackgrPicture

    Header {
        id: header
        x: 52
        y: 46
    }

    Bullet {
        id: bullet1
        dPos1: header.y + header.height
        dPos2: 155
        dPos3: 300
        x: 430
    }

    Bullet {
        id: bullet2
        dPos1: header.y + header.height
        dPos2: bullet1.dPos2 + height + 7
        dPos3: bullet1.dPos3 + height + 7
        x: bullet1.x        
    }

    Bullet {
        id: bullet3
        dPos1: header.y + header.height
        dPos2: bullet2.dPos2 + height + 7
        dPos3: bullet2.dPos3 + height + 7
        x: bullet1.x        
    }

    Bullet {
        id: bullet4
        dPos1: header.y + header.height
        dPos2: bullet3.dPos2 + height + 7
        dPos3: bullet3.dPos3 + height + 7
        x: bullet1.x        
    }

    ImageBox {
        id: imagebox
        dPos1: -400
        dPos2: 30
        x: 30
        y: 142
    }

    function onFileRead(textFromFile) {
        newsArray = textFromFile.split(/\r?\n/);
        if (newsArray.length > 0) {
            updateTimer.start()
        }
    }

    function showNews(idx) {
        var newsData = newsArray[idx].split("|")

        bullet1.strText = newsData[0].toString();
        bullet1.state = "state1";

        bullet2.strText = newsData[1].toString();
        bullet2.state = "state1";

        bullet3.strText = newsData[2].toString();
        bullet3.state = "state1";

        bullet4.strText = newsData[3].toString();
        bullet4.state = "state1";

        imagebox.strFileImage = newsData[4].toString();
        imagebox.state = "state1";
    }

    Timer {
       id: updateTimer
       interval: 9000
       repeat: true
       running: false
       triggeredOnStart: true
       onTriggered: {
           if (newsIndex >= newsArray.length) {
               newsIndex = 0;
           }

           showNews(newsIndex);
           newsIndex++;
       }
    }   

    Component.onCompleted: {
       var dirs = SLRunTime.taskName.split('\\')
       var fname = dirs[dirs.length - 1]
       Globals.readLocalFile(fname, onFileRead);
    }
}
